require "snap/version"
require 'rubygems'
require 'yaml'

module Snap
  class << self
    attr_accessor :api_key

    def configure(api_key, config_file=File.expand_path('~/.snap.yml'))
      config = {
        :api_key => api_key
      }
      File.open(config_file, 'w') do |f|
        f.puts(config.to_yaml)
      end
    end

    def init(config_file=File.expand_path('~/.snap.yml'))
      self.api_key = YAML.load_file(config_file)[:api_key]
    end
  end
end
