require 'thor'

module Snap
  class CLI < Thor
    include Thor::Actions

    desc "configure [API_KEY]", "configure the CLI with your API key (https://snap-ci.com/settings/api_key)"
    def configure(api_key=nil)
      while api_key == nil || api_key.chomp.empty?
        api_key = ask("What is your api key (will not echo): ", :echo => false)
        puts
      end
      Snap.configure(api_key)
    end

    def self.run(argv)
      CLI.start
    end
  end
end
